/**
  fonts families
**/
@mixin font-face($font-name, $path, $weight: normal, $style: normal) {
  @font-face {
    font-family: quote($font-name);
    src: url($path+'.eot');
    src: url($path+'.eot?#iefix') format('embedded-opentype'),
      url($path+'.woff2') format('woff'), url($path+'.woff') format('woff'),
      url($path+'.ttf') format('truetype'),
      url($path+'.svg##{$font-name}') format('svg');
    font-weight: $weight;
    font-style: $style;
  }
}
// @mixin font-face($name, $file, $weight: normal, $style: normal) {
//   @font-face {
//     font-family: '#{$name}';
//     src: url('@assets/fonts/#{$file}.eot');
//     src: url('@assets/fonts/#{$file}.eot?#iefix') format('embedded-opentype'),
//       url('@assets/fonts/#{$file}.woff') format('woff'),
//       url('@assets/fonts/#{$file}.ttf') format('truetype'),
//       url('@assets/fonts/#{$file}.svg?#webfont') format('svg');
//     font-weight: $weight;
//     font-style: $style;
//   }
// }
